﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vevo.Base.Domain
{
    public static class DataAccessContextUtility
    {
        #region Private
        private static ICacheDependencyUtility _cacheDependency
            = new CacheDependencyUtility( new string[] { "Configuration", "ConfigurationValue" } );

        private static Dictionary<string, object> _repositories = new Dictionary<string, object>();
        private static Dictionary<System.Type, bool> _cacheEnabledStates =
            new Dictionary<System.Type, bool>();

                #endregion

        #region Public Methods

        public static string CreateKey( System.Type type, bool caching )
        {
            return type.ToString() + "_" + caching.ToString();
        }

        public static void SetValue( System.Type type, bool caching, object repository )
        {
            _repositories[CreateKey( type, caching )] = repository;
        }

        public static object GetValue( System.Type type, bool caching )
        {
            return _repositories[CreateKey( type, caching )];
        }

        public static bool GetCacheEnabled( System.Type type )
        {
            if (!_cacheEnabledStates.ContainsKey( type ))
                _cacheEnabledStates[type] = true;

            return _cacheEnabledStates[type];
        }

        public static void SetCacheEnabled( System.Type type, bool cacheEnabled )
        {
            _cacheEnabledStates[type] = cacheEnabled;
        }

        #endregion
    }
}