using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Users;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ICustomerRepository
    {
        Customer Save( Customer customer );
        Customer GetOne( string customerID );
        string GetIDFromUserName( string userName );
        void Delete( string customerID );
        IList<Customer> SearchCustomer(
            string sortBy,
            SearchFilter searchFilter,
            BoolFilter isWholesale,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<Customer> ExportCustomer(
            string sortBy,
            SearchFilter searchFilter,
            BoolFilter isWholesale );
        IList<Customer> GetCustomerByEmail( string email );
        IList<TableSchemaItem> GetTableSchema();
        void UpdateWholesalesLevel( int wholesaleLevel );
        IList<Customer> GetAll( string sortBy );
        IList<Customer> GetLastestCustomers( int limitCount );
        IList<Customer> GetByIsQBExported( bool isQBExported, string existList );
        void SetDefaultQBData( string qbListID );
        Customer GetOneByFBUserID( string FBUserID );

        IList<ShippingAddress> GetShippingAddressByCustomerID( string customerID );
        IList<TableSchemaItem> GetShippingAddressTableSchemas();
        IList<ShippingAddress> SearchShippingAddress(
           string customerID,
           string sortBy,
           SearchFilter searchFilter,
           int startIndex,
           int endIndex,
           out int howManyItems );
        void ClearCustomerCache();
		IList<ShippingAddress> GetAllShippingAddress( string sortBy );
        void DeleteAllShippingAddress();
    }
}
