using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace Vevo.WebUI
{
    public class CultureEventArgs : EventArgs
    {
        private string _cultureID;


        public string CultureID
        {
            get { return _cultureID; }
        }

        public CultureEventArgs( string cultureID )
        {
            _cultureID = cultureID;
        }
    }

    public class CurrencyEventArgs : EventArgs
    {
        private string _currencyCode;


        public string CurrencyCode
        {
            get { return _currencyCode; }
        }

        public CurrencyEventArgs( string currencyCode )
        {
            _currencyCode = currencyCode;
        }
    }


    /// <summary>
    /// Summary description for StorefrontEvents
    /// </summary>
    public class StorefrontEvents
    {
        private static StorefrontEvents _nullInstance;


        public delegate void CultureEventHandler( object sender, CultureEventArgs e );
        public delegate void CurrencyEventHandler( object sender, CurrencyEventArgs e );


        public event CultureEventHandler StoreCultureChanged;
        public event CurrencyEventHandler StoreCurrencyChanged;


        public static StorefrontEvents NullInstance
        {
            get
            {
                if (_nullInstance == null)
                    _nullInstance = new StorefrontEvents();
                return _nullInstance;
            }
        }


        public void OnStoreCultureChanged( object sender, CultureEventArgs e )
        {
            if (StoreCultureChanged != null)
                StoreCultureChanged( sender, e );
        }

        public void OnStoreCurrencyChanged( object sender, CurrencyEventArgs e )
        {
            if (StoreCurrencyChanged != null)
                StoreCurrencyChanged( sender, e );
        }
    }
}
