using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo;
using Vevo.Domain;
using Vevo.Domain.Products;
using Vevo.Shared.DataAccess;
using Vevo.WebUI;
using Vevo.WebUI.Products;
using Vevo.Domain.Stores;

public partial class Components_DepartmentNavMenuList : BaseCategoryMenuNavListUserControl
{
    private string DepartmentID
    {
        get
        {
            string id = Request.QueryString["DepartmentID"];
            if (String.IsNullOrEmpty( id ))
                return "0";
            else
                return id;
        }
    }

    private string DepartmentName
    {
        get
        {
            if (Request.QueryString["DepartmentName"] == null)
                return String.Empty;
            else
                return Request.QueryString["DepartmentName"];
        }
    }

    private void PopulateControls()
    {
        string rootID = DataAccessContext.Configurations.GetValue( "RootDepartment", new StoreRetriever().GetStore() );
        IList<Department> departmentList = DataAccessContext.DepartmentRepository.GetByParentIDAndRootID(
           StoreContext.Culture, rootID, rootID, "SortOrder", BoolFilter.ShowTrue );

        uxDepartmentNavListMenu.Items.Clear();
        uxDepartmentNavListMenu.MaximumDynamicDisplayLevels = DataAccessContext.Configurations.GetIntValue( "DepartmentMenuLevel" );

        foreach (Department department in departmentList)
        {
            uxDepartmentNavListMenu.Items.Add( CreateMenuItemWithChildren( 0, department ) );
        }

        foreach (MenuItem mi in uxDepartmentNavListMenu.Items)
        {
            SetSelectedCategoryMenuItem( mi, DepartmentID, DepartmentName );
        }
    }

    protected void Page_Load( object sender, EventArgs e )
    {
        if (!IsPostBack)
        {
            PopulateControls();
        }
    }

    public void Refresh()
    {
        PopulateControls();
    }
}
