﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewArrivalCategoryItem.ascx.cs"
    Inherits="Components_NewArrivalCategoryItem" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Domain" %>
<%@ Import Namespace="Vevo.Domain.Products" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebUI" %>
<div class="NewArrivalCategoryItemImage">
    <div class="NewArrivalCategoryItemImageDiv">
        <asp:HyperLink ID="uxImageLink" runat="server" NavigateUrl='<%# UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'>
            <uc1:CatalogImage ID="uxCatalogImage" runat="server" ImageUrl='<%# Eval( "ImageSecondary" ).ToString() %>'
                AlternateText='<%# ImageAlternateText(BindingContainer) %>' Title='<%# ImageTitleText(BindingContainer) %>' />
        </asp:HyperLink>
    </div>
</div>
<div class="NewArrivalCategoryItemItem">
    <div class="NewArrivalCategoryItemName">
        <asp:HyperLink ID="uxNameLink" runat="server" CssClass="NewArrivalCategoryItemNameLink"
            NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'> 
                            <%# Eval("Name") %> 
        </asp:HyperLink>
    </div>
    <div class="NewArrivalCategoryItemPriceDetails">
        <asp:Panel ID="uxRetailPrice" runat="server" Visible='<%# IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ), Eval( "IsCallForPrice" ) ) && !IsDynamicProductKitPrice(BindingContainer)%>'
            CssClass="NewArrivalCategoryItemRetailPrice">
            <asp:Panel ID="uxDiscountPercent" runat="server" CssClass="NewArrivalCategoryItemPriceDiscount"
                Visible='<%# CheckEqualPrice (Eval( "ProductID" )) %>'>
                <asp:Label ID="uxRetailPriceLabel" runat="server" CssClass="NewArrivalCategoryItemRetailPriceValue"
                    Text='<%# StoreContext.Currency.FormatPrice( Convert.ToDecimal( GetRetailPrice( Eval( "ProductID" ) ) ) )%>' />
                <span class="DiscountPercent" id="uxDiscountPercentLabel" runat="server" visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                    <span class="PercentLabel">[$Percent]</span>
                    <span class="PercentValue"><%# GetDiscountPercent( Eval( "ProductID" ))%></span>
                </span>
            </asp:Panel>
        </asp:Panel>
        <asp:Panel ID="uxPriceTR" runat="server" Visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ) ) %>'
            CssClass="NewArrivalCategoryItemOurPrice">
            <div class="NewArrivalCategoryItemOurPriceValue">
                <%# GetFormattedPrice(Eval("ProductID"))%>
            </div>
        </asp:Panel>
    </div>
</div>
