﻿using System;
using Vevo.Domain;
using Vevo.Domain.Products;
using Vevo.WebUI;

public partial class Components_NewArrivalCategoryItem : Vevo.WebUI.Products.BaseProductUserControl
{
    protected void Page_Load( object sender, EventArgs e )
    {
        if (DataAccessContext.Configurations.GetBoolValue( "PriceRequireLogin" ) && !Page.User.Identity.IsAuthenticated)
        {
            uxRetailPrice.Visible = false;
            uxPriceTR.Visible = false;
        }
    }
    protected string GetFormattedPrice(object productID)
    {
        Product product = DataAccessContext.ProductRepository.GetOne(StoreContext.Culture, productID.ToString(), StoreContext.CurrentStore.StoreID);

        decimal price = product.GetDisplayedPrice(StoreContext.WholesaleStatus);
        return StoreContext.Currency.FormatPrice(price);
    }
}
