<%@ Page Language="C#" MasterPageFile="~/Front.master" AutoEventWireup="true" CodeFile="OrderSummary.aspx.cs"
    Inherits="OrderSummary" Title="[$Title]" %>

<%@ Register Src="Components/CouponMessageDisplay.ascx" TagName="CouponMessageDisplay"
    TagPrefix="uc3" %>
<%@ Register Src="Components/Common/TooltippedText.ascx" TagName="TooltippedText"
    TagPrefix="uc2" %>
<%@ Register Src="Components/Message.ascx" TagName="Message" TagPrefix="uc1" %>
<%@ Register Src="Components/CheckoutIndicator.ascx" TagName="CheckoutIndicator"
    TagPrefix="uc1" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Domain" %>
<%@ Import Namespace="Vevo.Domain.Orders" %>
<%@ Import Namespace="Vevo.WebAppLib" %>
<%@ Import Namespace="Vevo.WebUI" %>
<%@ Import Namespace="Vevo.WebUI.Users" %>
<asp:Content ID="uxTopContent" ContentPlaceHolderID="uxTopPlaceHolder" runat="Server">
    <uc1:Message ID="uxMessageLiteral" runat="server" NumberOfNewLines="1" />
    <uc1:Message ID="uxMessage" runat="server" NumberOfNewLines="1" />
    <uc3:CouponMessageDisplay ID="uxCouponMessageDisplay" runat="server" />
    <uc1:CheckoutIndicator ID="uxCheckoutIndicator" runat="server" StepID="5" Title="[$Head]" />
</asp:Content>
<asp:Content ID="uxContent" ContentPlaceHolderID="uxPlaceHolder" runat="Server">
    <div class="OrderSummary">
        <div class="CommonPage">
            <div class="CommonPageLeft">
                <div class="CommonPageRight">
                    <div class="SidebarTop">
                        <asp:Label ID="uxHeaderCheckoutLabel" runat="server" Text="[$Summary]" CssClass="CheckoutAddressTitle"></asp:Label>
                    </div>
                    <div id="uxApplyCouponDiv" runat="server" class="OrderSummaryApplyCouponDiv">
                        <ul class="OrderSummaryApplyCouponList">
                            <li class="OrderSummaryApplyCouponItemList">
                                <asp:HyperLink ID="uxApplyCouponAndGiftLink" runat="server" Text="Apply coupon or gift certificate"
                                    NavigateUrl="CouponAndGift.aspx?IsSummaryPage=true" CssClass="OrderSummaryApplyCouponLink">
                                </asp:HyperLink>
                            </li>
                        </ul>
                    </div>
                    <div class="OrderSummaryFormViewDiv">
                        <asp:FormView ID="uxShippingForm" runat="server" CssClass="OrderSummaryShippingFromFormView"
                            BorderWidth="0px" CellPadding="2" CellSpacing="2">
                            <ItemTemplate>
                                <table id="T_BillingDetail" cellpadding="3" cellspacing="2" class="OrderSummaryBillingDetailsTable CommonGridView">
                                    <tr>
                                        <th colspan="2" class="CommonGridViewHeaderStyle">
                                            [$Billing]
                                        </th>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$FName] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval("BillingAddress.FirstName")%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$LName] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.LastName" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Company] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.Company" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Address] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.Address1" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.Address2" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$City] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.City" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$State] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.State" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Zip] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.Zip" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Country] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# AddressUtilities.GetCountryNameByCountryCode( Eval( "BillingAddress.Country" ).ToString() )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Phone] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.Phone" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Fax] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "BillingAddress.Fax" )%>
                                        </td>
                                    </tr>
                                </table>
                                <table id="T_Detail" cellpadding="3" cellspacing="2" class="OrderSummaryShippingDetailsTable CommonGridView">
                                    <tr>
                                        <th colspan="2" class="CommonGridViewHeaderStyle">
                                            [$Shipping]
                                        </th>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$FName] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.FirstName" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$LName] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.LastName" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Company] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.Company" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Address] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.Address1" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.Address2" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$City] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.City" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$State] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.State" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Zip] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.Zip" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Country] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# AddressUtilities.GetCountryNameByCountryCode( Eval( "ShippingAddress.Country" ).ToString() )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Phone] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.Phone" )%>
                                        </td>
                                    </tr>
                                    <tr class="CommonGridViewAlternatingRowStyle">
                                        <td class="OrderSummaryShippingDetailsLabelColumn">
                                            [$Fax] :
                                        </td>
                                        <td class="OrderSummaryShippingDetailsDataColumn">
                                            <%# Eval( "ShippingAddress.Fax" )%>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                            <RowStyle CssClass="OrderSummaryShippingFromFormViewRowStyle" />
                        </asp:FormView>
                        <table cellpadding="3" cellspacing="2" border="0" class="OrderSummaryInnerTable CommonGridView">
                            <tr>
                                <td class="OrderSummaryInnerGridViewColumn">
                                    <asp:GridView ID="uxGridCart" runat="server" AutoGenerateColumns="False" CellPadding="4"
                                        GridLines="None" CssClass="OrderSummaryGridView CommonGridView">
                                        <RowStyle CssClass="CommonGridViewRowStyle" />
                                        <HeaderStyle CssClass="CommonGridViewHeaderStyle" />
                                        <AlternatingRowStyle CssClass="CommonGridViewAlternatingRowStyle" />
                                        <EmptyDataRowStyle CssClass="CommonGridViewEmptyRowStyle" />
                                        <Columns>
                                            <asp:TemplateField HeaderText="[$Name]">
                                                <ItemTemplate>
                                                    <asp:Label ID="uxProductNameLabel" runat="server" Text='<%# GetItemName( Container.DataItem ) %>' />
                                                    <div class='ProductNameDetails'>
                                                        <uc2:TooltippedText ID="uxTooltippedText" runat="server" MainText='<%# GetTooltipMainText( Container.DataItem ) %>'
                                                            TooltipText='<%# GetTooltipBody( Container.DataItem )  %>' Visible='<%# Eval( "IsRecurring" ) %>' />
                                                    </div>
                                                </ItemTemplate>
                                                <HeaderStyle CssClass="OrderSummaryNameHeaderStyle" />
                                                <ItemStyle CssClass="OrderSummaryNameItemStyle" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="[$UnitPrice]" HeaderStyle-HorizontalAlign="Right">
                                                <ItemTemplate>
                                                    <asp:Label ID="uxPriceLabel" runat="server" Text='<%# GetUnitPriceText( (ICartItem) Container.DataItem ) %>'></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle CssClass="OrderSummaryUnitPriceHeaderStyle" />
                                                <ItemStyle CssClass="OrderSummaryUnitPriceItemStyle" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="[$Quantity]">
                                                <ItemTemplate>
                                                    <asp:Label ID="uxQuantityText" runat="server" Text='<%#Bind("Quantity") %>'></asp:Label>
                                                </ItemTemplate>
                                                <ItemStyle CssClass="OrderSummaryQuantityItemStyle" />
                                                <HeaderStyle CssClass="OrderSummaryQuantityHeaderStyle" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="[$Subtotal]" HeaderStyle-HorizontalAlign="Right">
                                                <ItemTemplate>
                                                    <asp:Label ID="uxPriceLabel" runat="server" Text='<%# GetSubtotalText( (ICartItem) Container.DataItem ) %>'></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle CssClass="OrderSummarySubtotalHeaderStyle" />
                                                <ItemStyle CssClass="OrderSummarySubtotalItemStyle" />
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </td>
                            </tr>
                            <tr>
                                <td class="OrderSummaryInnerSummaryColumn">
                                    <table id="T_Summary" class="OrderSummarySummaryTable">
                                        <tr class="OrderSummarySummaryRow">
                                            <td class="OrderSummarySummaryLabel">
                                                [$Product]
                                            </td>
                                            <td class="OrderSummarySummaryValue">
                                                <asp:Label ID="uxProductCostLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr class="OrderSummarySummaryRow">
                                            <td class="OrderSummarySummaryLabel">
                                                [$Discount]
                                            </td>
                                            <td class="OrderSummarySummaryValue">
                                                <asp:Label ID="uxDiscountLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <% if (DataAccessContext.Configurations.GetBoolValue( "PointSystemEnabled", StoreContext.CurrentStore ) && KeyUtilities.IsDeluxeLicense( Vevo.Shared.DataAccess.DataAccessHelper.DomainRegistrationkey,Vevo.Shared.DataAccess.DataAccessHelper.DomainName ))
                                           { %>
                                        <tr class="OrderSummarySummaryRow">
                                            <td class="OrderSummarySummaryLabel">
                                                [$PointDiscount]
                                            </td>
                                            <td class="OrderSummarySummaryValue">
                                                <asp:Label ID="uxPointDiscountLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <%} %>
                                        <tr class="OrderSummarySummaryRow">
                                            <td class="OrderSummarySummaryLabel">
                                                [$Tax]
                                            </td>
                                            <td class="OrderSummarySummaryValue">
                                                <asp:Label ID="uxTaxLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr class="OrderSummarySummaryRow">
                                            <td class="OrderSummarySummaryLabel">
                                                [$ShippingCost]
                                            </td>
                                            <td class="OrderSummarySummaryValue">
                                                <asp:Label ID="uxShippingCostLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr id="uxHandlingFeeTR" runat="server" class="OrderSummarySummaryRow">
                                            <td class="OrderSummarySummaryLabel">
                                                [$HandlingFee]
                                            </td>
                                            <td class="OrderSummarySummaryValue">
                                                <asp:Label ID="uxHandlingFeeLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr id="uxGiftCertificateTR" runat="server" class="OrderSummarySummaryRow">
                                            <td class="OrderSummarySummaryLabel">
                                                [$GiftCertificate]
                                            </td>
                                            <td class="OrderSummarySummaryValue">
                                                <asp:Label ID="uxGiftCertificateLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr class="OrderSummarySummaryTotalRow">
                                            <td class="OrderSummarySummaryTotalLabel">
                                                [$Total]
                                            </td>
                                            <td class="OrderSummarySummaryTotalValue">
                                                <asp:Label ID="uxTotalLabel" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                        <table class="OrderSummaryOfferDetailsTable">
                            <tr>
                                <th class="CommonGridViewHeaderStyle" style="text-align: left; padding-left: 5px;"
                                    colspan="2">
                                    [$OtherInformation]
                                </th>
                            </tr>
                            <tr class="CommonGridViewRowStyle">
                                <td class="OrderSummaryShippingDetailsLabelColumn">
                                    [$OrderComment]
                                </td>
                                <td class="OrderSummaryShippingDetailsDataColumn">
                                    <asp:Label ID="uxCustomerCommentsLabel" runat="server"></asp:Label>
                                </td>
                            </tr>
                            <% if (DisplayPointEarned())
                               { %>
                            <tr class="CommonGridViewAlternatingRowStyle">
                                <td class="OrderSummaryShippingDetailsLabelColumn">
                                    [$RewardPointEarned1]
                                </td>
                                <td class="OrderSummaryShippingDetailsDataColumn">
                                    <asp:Label ID="uxPointEarnedLabel" runat="server"></asp:Label>
                                </td>
                            </tr>
                            <%} %>
                        </table>
                    </div>
                    <div id="uxStockMessageDiv" runat="server" visible="false" class="CommonDisplayMessageDiv">
                        <asp:Literal ID="uxStockMessageLiteral" runat="server" />
                    </div>
                    <div id="uxQuantityMessageDiv" runat="server" visible="false" class="CommonDisplayMessageDiv">
                        <asp:Literal ID="uxQuantityMessageLiteral" runat="server" />
                    </div>
                    <div class="OrderSummaryBackLinkDiv">
                        <asp:HyperLink ID="uxBackHomeLink" runat="server" NavigateUrl="ShoppingCart.aspx"
                            Visible="False" CssClass="CommonHyperLink">
                        [$Go back to shopping cart page]
                        </asp:HyperLink>
                    </div>
                    <div class="OrderSummaryButtonDiv">
                        <asp:Label ID="uxButtonDescriptionLabel" runat="server" Text="[$Press]" CssClass="OrderSummaryDescriptionLabel">
                        </asp:Label>
                        <asp:Button ID="uxFinishButton" runat="server" OnClick="uxFinishButton_Click" Text="Place Order"
                            Width="102px" Visible="False" CssClass="OrderSummaryFinishButton" />
                        <asp:LinkButton ID="uxFinishImageButton" runat="server" OnClick="uxFinishImageButton_Click"
                            Text="[$BtnPlaceOrder]" CssClass="OrderSummaryFinishImageButton BtnStyle1" />
                        <div class="Clear">
                        </div>
                    </div>
                    <div class="Clear">
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
